tcp_conn_struct Struct Reference

`#include <tcpset.h>`

## Data Fields

int | fd
uint32_t | total_bytes
uint16_t | msglen
buffer_type * | packet
unsigned | is_reading: 1

## Detailed Description

tcp connection.

Definition at line 51 of file tcpset.h.

## Field Documentation

## fd

int tcp_conn_struct::fd

Definition at line 52 of file tcpset.h.

Referenced by tcp_conn_create(), tcp_conn_read(), and tcp_conn_write().

## is_reading

unsigned tcp_conn_struct::is_reading

Definition at line 60 of file tcpset.h.

## msglen

uint16_t tcp_conn_struct::msglen

Definition at line 56 of file tcpset.h.

Referenced by tcp_conn_create(), tcp_conn_read(), tcp_conn_ready(), and tcp_conn_write().

## packet

buffer_type* tcp_conn_struct::packet

Definition at line 58 of file tcpset.h.

Referenced by tcp_conn_create(), tcp_conn_read(), tcp_conn_ready(), and tcp_conn_write().

## total_bytes

uint32_t tcp_conn_struct::total_bytes

Definition at line 54 of file tcpset.h.

Referenced by tcp_conn_create(), tcp_conn_read(), tcp_conn_ready(), and tcp_conn_write().

The documentation for this struct was generated from the following file:

- src/wire/tcpset.h